Steam: purge steam-devices & install-if-not-installed Box86

pull/925/head
Botspot 3 years ago
parent 503e66d73c
commit d0e06b6ab5

@ -9,17 +9,13 @@ function error {
"${DIRECTORY}/pkg-install" "libappindicator1 libnm0" "$(dirname "$0")" || exit 1
#install box86
if ! command -v box86 || [ "$(cat "${DIRECTORY}/data/status/Box86" 2>/dev/null)" != 'installed' ];then
echo 'Installing box86...'
"${DIRECTORY}/manage" install Box86 || error "Box86 failed to install somehow!"
if ! command -v box86 ;then
error "Box86 executable does not exist!"
else
echo "installed" > "${DIRECTORY}/data/status/Box86"
fi
if dpkg -l steam-devices ;then
echo "Removing steam-devices package because it conflicts with steam-launcher..."
sudo apt purge -y steam-devices
fi
"${DIRECTORY}/manage" install-if-not-installed Box86 || error "Box86 failed to install somehow!"
echo "Downloading steam.deb"
wget https://steamcdn-a.akamaihd.net/client/installer/steam.deb || error "Failed to download steam.deb!"

Loading…
Cancel
Save